Bug 440380 - evdev causes external keyboard problems
evdev causes external keyboard problems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: f9-x-blocker
  Show dependency treegraph
 
Reported: 2008-04-03 03:54 EDT by Osma Ahvenlampi
Modified: 2013-01-09 23:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 16:56:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg config (1.55 KB, text/plain)
2008-04-03 03:54 EDT, Osma Ahvenlampi
no flags Details
log in docked with the config file (37.88 KB, text/plain)
2008-04-03 03:54 EDT, Osma Ahvenlampi
no flags Details
log in docked without any xorg.conf (45.77 KB, text/plain)
2008-04-03 03:56 EDT, Osma Ahvenlampi
no flags Details
log in undocked with an xorg.conf (keyboard works correctly) (21.38 KB, text/plain)
2008-04-03 03:56 EDT, Osma Ahvenlampi
no flags Details
log in undocked without xorg.conf (24.69 KB, text/plain)
2008-04-03 03:57 EDT, Osma Ahvenlampi
no flags Details

  None (edit)
Description Osma Ahvenlampi 2008-04-03 03:54:23 EDT
I have an Acer laptop on which its built-in keyboard functions pretty much OK
when I log in disconnected from its docking station. However, when logging in
while docked, and with the Logitech Cordless Desktop Pro keyboard/mouse
connected, keymappings are busted: Delete key works as PrintScreen, arrow down
as Return, and various other problems.

In addition, I can't make the gdm login screen understand my keyboard layout is
Finnish, and have to type in my password assuming an English layout. This
happens either undocked or docked.

I have tried both without any xorg.conf and with a config modified from what
worked in F8 (which I need to extend virtual screen enough to enable xrandr
display switching, but that's another matter).

The computer has a base F8 install with GNOME, Xorg and many, many base
libraries updated through F9 Beta to Rawhide, but still using SysVinit instead
of Upstart.

Attached four Xorg log files: logging in docked, undocked, with and without a
config, and the config file used in these sessions.
Comment 1 Osma Ahvenlampi 2008-04-03 03:54:23 EDT
Created attachment 300189 [details]
Xorg config
Comment 2 Osma Ahvenlampi 2008-04-03 03:54:59 EDT
Created attachment 300190 [details]
log in docked with the config file
Comment 3 Osma Ahvenlampi 2008-04-03 03:56:04 EDT
Created attachment 300191 [details]
log in docked without any xorg.conf
Comment 4 Osma Ahvenlampi 2008-04-03 03:56:38 EDT
Created attachment 300192 [details]
log in undocked with an xorg.conf (keyboard works correctly)
Comment 5 Osma Ahvenlampi 2008-04-03 03:57:14 EDT
Created attachment 300193 [details]
log in undocked without xorg.conf
Comment 6 Danny Baumann 2008-04-22 01:50:17 EDT
Same problem here on a machine updated from F7. Using the kbd driver the
keyboard layout is completely broken as described above, using evdev no input at
all is possible.
Comment 7 Osma Ahvenlampi 2008-04-22 02:15:41 EDT
Yum update to latest rawhide (all packages), presumably tracking F9 Preview
release. Problem still exists. I have to make sure I log in while undocked,
otherwise keyboard is close to useless with most non-alphanumeric keys mapped
wrong. Would suggest this is a fairly serious regression, thus proposing blocker
for F9.
Comment 8 Jesse Keating 2008-04-22 10:12:25 EDT
Yeah, this is a problem where evdev is seeing a combo mouse/keyboard device and
evdev takes over both devices, screwing up the keyboard shortcuts.  Moving to X
blocker.
Comment 9 Adam Jackson 2008-04-24 16:56:07 EDT
Built a fix for this in xorg-x11-server 1.4.99.901-26.20080415
Comment 10 Osma Ahvenlampi 2008-04-26 01:34:34 EDT
Sorry, yum didn't find this update until I'd left the office for the weekend.
Won't be able to verify this until Monday.
Comment 11 Danny Baumann 2008-04-27 12:12:29 EDT
(In reply to comment #9)
> Built a fix for this in xorg-x11-server 1.4.99.901-26.20080415

My keyboard/mouse composite USB device now works properly when logged in, thanks.
However, in gdm, the keyboard layout still is US English, although
/etc/sysconfig/keyboard says it's German. Shall I reopen the bug or open a new
one (as this problem is mentioned in the bug report)? ;)


Note You need to log in before you can comment on or make changes to this bug.